/*
Following: https://blog.logrocket.com/node-js-web-scraping-tutorial/
but using PouchDB
*/
"use strict";

const PouchDB = require("pouchdb");

const { Worker, isMainThread, parentPort } = require("worker_threads");

const db = new PouchDB("scrape");

if( isMainThread ) {
    const worker = new Worker(__filename);
    worker.once("message", (message) => {
        console.log(message);
    });
    worker.postMessage("Main Thread: Hi!");
} else { 
    parentPort.once("message", (message) => {
        console.log(message);   //prints "Main Thread: Hi!"
        parentPort.postMessage("Worker thread: Hello!");
    });
}